import request from '@/utils/request'

// 查询建筑基本信息列表
export function listBuilding(query) {
  return request({
    url: '/ems/basecfg/area/building/list',
    method: 'get',
    params: query
  })
}

// 根据区域查询建筑
export function listBuildingByArea(areaCode) {
  return request({
    url: '/ems/basecfg/area/building/listByArea?areaCode=' + areaCode,
    method: 'get'
  })
}

// 查询建筑基本信息详细
export function getBuilding(id) {
  return request({
    url: '/ems/basecfg/area/building/' + id,
    method: 'get'
  })
}

// 新增建筑基本信息
export function addBuilding(data) {
  return request({
    url: '/ems/basecfg/area/building',
    method: 'post',
    data: data
  })
}

// 修改建筑基本信息
export function updateBuilding(data) {
  return request({
    url: '/ems/basecfg/area/building',
    method: 'put',
    data: data
  })
}

// 删除建筑基本信息
export function delBuilding(id) {
  return request({
    url: '/ems/basecfg/area/building/' + id,
    method: 'delete'
  })
}
